{"id":58746,"date":"2023-08-18T08:54:42","date_gmt":"2023-08-18T07:54:42","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?p=58746"},"modified":"2023-11-14T11:21:04","modified_gmt":"2023-11-14T11:21:04","slug":"conversation-details-summary-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/conversation-details-summary-api\/","title":{"rendered":"Conversation Details and Summary API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p><span style=\"font-weight: 400;\">To fetch the conversational details and conversation summary data between the bot and the user. This API supports pagination. You can specify skip and limit parameters to retrieve a certain number of messages at a time.<\/span><\/p>\n<table>\n<tbody>\n<tr>\n<td><b>Method<\/b><\/td>\n<td><span style=\"font-weight: 400;\">POST<\/span><\/td>\n<\/tr>\n<tr>\n<td><b>Endpoint<\/b><\/td>\n<td><code>https:\/\/{{host}}\/api\/public\/bot\/{{botId}}\/conversationDetails<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Content Type<\/b><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Authorization<\/b><\/td>\n<td><code>auth: {{JWT}}<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>API Scope<\/b><\/td>\n<td><span style=\"font-weight: 400;\">Bot Builder: Chat History<\/span><\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae870756c120\" data-id=\"6ae870756c120\" data-height=\"10\" data-height-mobile=\"10\" data-height-tab=\"10\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Path_Parameters\"><span style=\"font-weight: 400;\">Path Parameters<\/span><\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<td><b>PARAMETER<\/b><\/td>\n<td><b>REQUIRED<\/b><\/td>\n<td><b>DESCRIPTION<\/b><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">host<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Required<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Environment URL, for example, https:\/\/bots.kore.ai<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">botId<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Required<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Bot ID or Stream ID. You can access it from the General Settings page of the bot.<\/span><\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Request\"><span style=\"font-weight: 400;\">Sample Request<\/span><\/span><\/h2>\n<pre>curl --location --request POST 'https:\/\/bots.kore.ai\/api\/public\/bot\/st-86exxx8d-7021-5f2b-bf6c-8a1xxxxxb0\/conversationDetails' \\\r\n--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n--header 'Content-Type: application\/json' \\\r\n--data-raw '{\r\n\"callId\":\"00001\",\r\n\"isSummaryRequired\":true\r\n}'\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae870756c2a3\" data-id=\"6ae870756c2a3\" data-height=\"10\" data-height-mobile=\"10\" data-height-tab=\"10\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Request_Body_Parameters\"><span style=\"font-weight: 400;\">Request Body Parameters<\/span><\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<td><b>PARAMETER<\/b><\/td>\n<td><b>REQUIRED<\/b><\/td>\n<td><b>DESCRIPTION<\/b><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">skip\/offset<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Optional<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The number of messages to be skipped.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">limit<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Optional<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The number of messages to be shown on each page.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">sessionId<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Required<\/span><\/td>\n<td><span style=\"font-weight: 400;\">A unique session ID of the bot for which you want to fetch the details.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">callId\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Required<\/span><\/td>\n<td><span style=\"font-weight: 400;\">A unique callId of the bot for which you want to fetch the details.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">isSummaryRequired<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Optional<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Whether to provide an auto-generated summary of the conversation. Possible values are:<\/span><\/p>\n<ul>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><i><span style=\"font-weight: 400;\">true<\/span><\/i><span style=\"font-weight: 400;\">: Include the summary in the response.<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><i><span style=\"font-weight: 400;\">false<\/span><\/i><span style=\"font-weight: 400;\">: Don\u2019t include the summary in the response. This is the default value.<\/span><\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n<div class=\"alert alert-info\"><strong>Note<\/strong>: If the session ID is available, the call ID is not mandatory &amp; vice versa. If both are present, the session ID is considered.<\/div>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae870756c51c\" data-id=\"6ae870756c51c\" data-height=\"10\" data-height-mobile=\"10\" data-height-tab=\"10\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<pre>{\r\n   \"conversationInfo\": {\r\n       \"userId\": \"u-c8c61885-85bb-5db2-bf8e-6fd4a97c58f9\",\r\n       \"callId\": \"9eb6c49e-f647-4c48-b31c-cc207e3a6080\",\r\n       \"sessionStartTime\": \"2023-08-07T11:18:10.195Z\",\r\n       \"agentHandOffTime\": \"2023-08-07T11:18:11.304Z\",\r\n       \"userDetails\": {\r\n           \"firstName\": \"\",\r\n           \"lastName\": \"\",\r\n           \"phoneNumber\": null\r\n       },\r\n       \"currentTask\": \"null\",\r\n       \"sessionId\": \"64d0d2f2bfeaa2d58a566d08\"\r\n   },\r\n   \"conversationFlow\": [\r\n       {\r\n           \"status\": \"completedTask\",\r\n           \"messageStoreId\": \"xxx\",\r\n           \"taskName\": \"ConnectToAgent\"\r\n       }\r\n   ],\r\n   \"conversationHistory\": [\r\n       {\r\n           \"channels\": [\r\n               {\r\n                   \"type\": \"audiocodes\"\r\n               }\r\n           ],\r\n           \"type\": \"outgoing\",\r\n           \"status\": \"pending\",\r\n           \"createdOn\": \"2023-08-07T11:18:10.337Z\",\r\n           \"lmodifiedOn\": \"2023-08-07T11:18:10.337Z\",\r\n           \"createdBy\": \"u-c8c61885-85bb-5db2-bf8e-6fd4a97c58f9\",\r\n           \"components\": [\r\n               {\r\n                   \"_id\": \"cp-faacd4b7-7fb5-57f1-aef8-455734582c33\",\r\n                   \"cT\": \"text\",\r\n                   \"data\": {\r\n                       \"text\": \"Agent transfer initiated\"\r\n                   },\r\n                   \"thumbnails\": []\r\n               }\r\n           ],\r\n           \"isBB\": 0,\r\n           \"lang\": \"en\",\r\n           \"iv\": \"e2DtaGM52TC9k+Q7EQpUig==\",\r\n           \"ire\": true,\r\n           \"timestampValue\": 1691407090369,\r\n           \"sT\": 0\r\n       },\r\n       {\r\n           \"channels\": [\r\n               {\r\n                   \"type\": \"audiocodes\"\r\n               }\r\n           ],\r\n           \"type\": \"outgoing\",\r\n           \"status\": \"pending\",\r\n           \"createdOn\": \"2023-08-07T11:18:10.761Z\",\r\n           \"lmodifiedOn\": \"2023-08-07T11:18:10.761Z\",\r\n           \"createdBy\": \"u-c8c61885-85bb-5db2-bf8e-6fd4a97c58f9\",\r\n           \"components\": [\r\n               {\r\n                   \"_id\": \"cp-8fed6639-fb80-5ea1-9d4c-7a4508d6a266\",\r\n                   \"cT\": \"text\",\r\n                   \"data\": {\r\n                       \"text\": \"I will need to get an agent on the line to help you with that. Please hold while I find an available agent.\"\r\n                   },\r\n                   \"thumbnails\": []\r\n               }\r\n           ],\r\n           \"tN\": \"ConnectToAgent\",\r\n           \"isBB\": 0,\r\n           \"ms\": 1,\r\n           \"lang\": \"en\",\r\n           \"agentAssistDetails\": {\r\n               \"streamId\": \"st-86ef3c8d-7021-5f2b-bf6c-8a14ec6fffb0\",\r\n               \"srcChannel\": \"\",\r\n               \"childBotStreamId\": \"st-86ef3c8d-7021-5f2b-bf6c-8a14ec6fffb0\",\r\n               \"experience\": \"\",\r\n               \"userInput\": \"ConnectToAgent\"\r\n           },\r\n           \"iv\": \"njinotGbS2aYa+JMqV9pbw==\",\r\n           \"ire\": true,\r\n           \"timestampValue\": 1691407090768,\r\n           \"sT\": 0\r\n       },\r\n       {\r\n           \"channels\": [\r\n               {\r\n                   \"type\": \"audiocodes\"\r\n               }\r\n           ],\r\n           \"type\": \"ctrlmsg\",\r\n           \"status\": \"received\",\r\n           \"createdBy\": \"u-c8c61885-85bb-5db2-bf8e-6fd4a97c58f9\",\r\n           \"lmodifiedBy\": \"u-c8c61885-85bb-5db2-bf8e-6fd4a97c58f9\",\r\n           \"lmodifiedOn\": \"2023-08-07T11:34:19.170Z\",\r\n           \"isBB\": 0,\r\n           \"ms\": 4,\r\n           \"sT\": 0,\r\n           \"components\": [\r\n               {\r\n                   \"_id\": \"cp-125ef7dd-5126-5e17-8828-7f79db72b959\",\r\n                   \"cT\": \"text\",\r\n                   \"data\": {\r\n                       \"text\": \"sending a ctrl message to CS\"\r\n                   },\r\n                   \"thumbnails\": []\r\n               }\r\n           ],\r\n           \"iv\": \"muN3K1QJY9GhQYQ0qcahwg==\",\r\n           \"ire\": true,\r\n           \"createdOn\": \"2023-08-07T11:34:19.197Z\",\r\n           \"timestampValue\": 1691408059197\r\n       }\r\n   ],\r\n   \"summary\": {\r\n       \"ConversationSummary\": \"agent will need to get an agent on the line to help customer with that.\",\r\n       \"time\": \"2023-08-09T06:53:18.579Z\"\r\n   }\r\n}\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To fetch the conversational details and conversation summary data between the bot and the user. This API supports pagination. You can specify skip and limit parameters to retrieve a certain number of messages at a time. Method POST Endpoint https:\/\/{{host}}\/api\/public\/bot\/{{botId}}\/conversationDetails Content Type application\/json Authorization auth: {{JWT}} API Scope Bot Builder: Chat History Path Parameters PARAMETER...","protected":false},"author":17,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-58746","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/58746","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/17"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=58746"}],"version-history":[{"count":10,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/58746\/revisions"}],"predecessor-version":[{"id":60097,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/58746\/revisions\/60097"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=58746"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=58746"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=58746"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}